Retry Webhook Events
Retry delivery of failed webhook events by providing their event IDs. Use this endpoint to recover from transient failures such as network timeouts or temporary server errors on your receiving endpoint.
Authorization
Bearer In: header
Request Body
application/json
- webhook_event_idsarray<integer>required
IDs of the webhook events to retry.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.theirstack.com/v0/webhooks/events/retry" \ -H "Content-Type: application/json" \ -d '{ "webhook_event_ids": [ 0 ] }'null{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}{
"request_id": null,
"error": {
"code": "E-001",
"title": "Not allowed exception",
"description": "string"
}
}How is this guide?
Last updated on
Enable/Disable A Webhook PATCH
By disabling a webhook, it will stop listening to events. When you enable a webhook, it will process all the events that have not been processed yet since you disabled it.
Test Webhook Url POST
Send a test event to verify connectivity and payload handling. Either provide a webhook_id to test an existing webhook (with optional url/secret overrides), or provide url and event_type directly to test before creating a webhook.
